test: CScannerProfileManagement class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# CScannerProfileManagement Class Reference

`#include <devprop.h>`

Inheritance diagram for CScannerProfileManagement:

List of all members.

## Public Member Functions

| CScannerProfileManagement (LPCTSTR lpstrName, HINSTANCE hiWhere)
| ~CScannerProfileManagement ()
virtual BOOL | OnInit ()
virtual BOOL | OnHelp (LPHELPINFO pHelp)
virtual BOOL | OnContextMenu (HWND hwnd)

## Constructor & Destructor Documentation

CScannerProfileManagement::CScannerProfileManagement | ( | LPCTSTR | lpstrName,
|  | HINSTANCE | hiWhere
| ) |

Definition at line 1210 of file devprop.cpp.

References CScannerProfileManagement(), IsAdmin(), and ScannerUI.

Referenced by CScannerProfileManagement().

    01211                                                                         :
    01212
    01213     CDeviceProfileManagement(lpstrName, hiWhere, ScannerUI, CLASS_SCANNER) {
    01214     m_bReadOnly = !IsAdmin();
    01215 }

CScannerProfileManagement::~CScannerProfileManagement | ( |  | ) | `[inline]`

Definition at line 160 of file devprop.h.

    00160 {}

## Member Function Documentation

BOOL CScannerProfileManagement::OnContextMenu | ( | HWND | hwnd | ) | `[virtual]`

Reimplemented from CPropertyPage.

Definition at line 1254 of file devprop.cpp.

References BOOL, OnContextMenu(), ScannerUIHelpIds, TRUE, and WINDOWS_HELP_FILE.

Referenced by OnContextMenu().

    01254                                                           {
    01255
    01256     WinHelp(hwnd, WINDOWS_HELP_FILE,
    01257             HELP_CONTEXTMENU, (ULONG_PTR) (LPSTR) ScannerUIHelpIds);
    01258
    01259     return (TRUE);
    01260 }

BOOL CScannerProfileManagement::OnHelp | ( | LPHELPINFO | pHelp | ) | `[virtual]`

Reimplemented from CPropertyPage.

Definition at line 1244 of file devprop.cpp.

References BOOL, OnHelp(), ScannerUIHelpIds, TRUE, and WINDOWS_HELP_FILE.

Referenced by OnHelp().

    01244                                                           {
    01245
    01246     if (pHelp->iContextType == HELPINFO_WINDOW) {
    01247         WinHelp((HWND) pHelp->hItemHandle, WINDOWS_HELP_FILE,
    01248                 HELP_WM_HELP, (ULONG_PTR) (LPSTR) ScannerUIHelpIds);
    01249     }
    01250
    01251     return (TRUE);
    01252 }

BOOL CScannerProfileManagement::OnInit | ( |  | ) | `[virtual]`

Reimplemented from CDeviceProfileManagement.

Definition at line 1220 of file devprop.cpp.

References AddButton, BOOL, EnableWindow(), FALSE, GetDlgItem(), CDeviceProfileManagement::OnInit(), RemoveButton, SetFocus, and TRUE.

    01220                                           {
    01221
    01222     //  Call the base class routine first, as it does most of the work...
    01223
    01224     CDeviceProfileManagement::OnInit();
    01225
    01226     //  Now, see if we have sufficient authority to administer the scanner
    01227     //
    01228     if (m_bReadOnly) {
    01229         // User is not Admin, Disable all of the controls
    01230
    01231         EnableWindow(GetDlgItem(m_hwnd, AddButton), FALSE);
    01232         EnableWindow(GetDlgItem(m_hwnd, RemoveButton), FALSE);
    01233
    01234         //  Set the focus to the OK button
    01235         SetFocus(GetDlgItem(m_hwndSheet, IDOK));
    01236         return  FALSE;  //  Because we moved the focus!
    01237     }
    01238
    01239     return TRUE;
    01240 }

The documentation for this class was generated from the following files:

- devprop.h
- devprop.cpp